Catmandu::IdGenerator::UUID(3pm)

NAME
Catmandu::IdGenerator::UUID - Generator of UUID identifiers

SYNOPSIS
    use Catmandu::IdGenerator::UUID;

    my $x = Catmandu::IdGenerator::UUID->new;

    for (1..100) {
       printf "id: %s\n" , $x->generate;
    }

DESCRIPTION
This Catmandu::IdGenerator generates identifiers based on the Universally Unique Identifier (UUID) v1 standard. A UUID string is a 128 bit number represented by lowercase hexadecimal digits such as "de305d54-75b4-431b-adb2-eb6b9e546014".